org.springframework.web.reactive.function

## Interface BodyInserters.FormInserter<T>

Type Parameters:
  `T` - the value type

All Superinterfaces:
  BodyInserter<org.springframework.util.MultiValueMap<String,T>,org.springframework.http.client.reactive.ClientHttpRequest>

All Known Subinterfaces:
  BodyInserters.MultipartInserter

Enclosing class:
  BodyInserters

    public static interface BodyInserters.FormInserter<T>
    extends BodyInserter<org.springframework.util.MultiValueMap<String,T>,org.springframework.http.client.reactive.ClientHttpRequest>

Extension of `BodyInserter` that allows for adding form data or multipart form data.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.springframework.web.reactive.function.BodyInserter

`BodyInserter.Context`

### Method Summary

All Methods Instance Methods Abstract Methods
`BodyInserters.FormInserter<T>` `with(org.springframework.util.MultiValueMap<String,T> values)` Adds the specified values to the form.
`BodyInserters.FormInserter<T>` `with(String key, T value)` Adds the specified key-value pair to the form.

### Methods inherited from interface org.springframework.web.reactive.function.BodyInserter

`insert`

### Method Detail

#### with

    BodyInserters.FormInserter<T> with(String key,
                                       T value)

Adds the specified key-value pair to the form.

Parameters:
  `key` - the key to be added
  `value` - the value to be added
Returns:
  this inserter for adding more parts

#### with

    BodyInserters.FormInserter<T> with(org.springframework.util.MultiValueMap<String,T> values)

Adds the specified values to the form.

Parameters:
  `values` - the values to be added
Returns:
  this inserter for adding more parts